<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryCursor..::.MoveNextDuplicate Method (LockingInfo)
SecondaryCursor Class See Also Send Feedback

If the next key/data pair of the database is a duplicate data record for the current key/data pair, move the cursor to the next key/data pair in the database, and store the secondary key and primary key/data pair in Current. MoveNextDuplicate returns false if the next key/data pair of the database is not a duplicate data record for the current key/data pair.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public bool MoveNextDuplicate(
    	LockingInfo info
    )

Visual Basic (Declaration)

    Public Function MoveNextDuplicate ( _
    	info As LockingInfo _
    ) As Boolean

Visual C++

    public:
    bool MoveNextDuplicate(
    	LockingInfo^ info
    )

#### Parameters

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current will contain an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

SecondaryCursor Class
MoveNextDuplicate Overload
BerkeleyDB Namespace